Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Invalid_Key_Length Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Invalid_Key_Length:

## Public Member Functions
| Invalid_Key_Length (const std::string &name, size_t length)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Invalid_Key_Length Exception

Definition at line 98 of file exceptn.h.

## Constructor & Destructor Documentation

Botan::Invalid_Key_Length::Invalid_Key_Length | ( | const std::string & | name,
|  | size_t | length
| ) |  |
| inline

Definition at line 100 of file exceptn.h.

100 :
101 Invalid_Argument(name + " cannot accept a key of length " +
102 std::to_string(length))
103 {}
Botan::Invalid_Argument::Invalid_Argument
Invalid_Argument(const std::string &msg)
Definition: exceptn.h:37
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:47

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this struct was generated from the following file:

- src/lib/utils/exceptn.h